<div class="staffInfo__personalInfo">
  <mb-table-wrap>
    <mb-table
      (changePageNum)='doSearch($event)'
      [tableConfig]='tableConfig' [tableData]='dataTable'
    ></mb-table>
  </mb-table-wrap>

  <!--Hành động-->
  <ng-template #actionTmpl let-familyRelationshipId="familyRelationshipId">
    <mb-button *ngIf='objFunction?.edit'
               mbButtonType='ONLY_ICON'
               mbButtonIconType='AWESOME'
               class="btnEdit"
               mbPrefixIcon='far fa-pencil-alt'
               (click)='showModalUpdate(familyRelationshipId, footerTmpl)'
    ></mb-button>
    <mb-button *ngIf='objFunction?.delete'
               mbButtonType='ONLY_ICON'
               mbButtonIconType='AWESOME'
               nz-popconfirm="true"
               nzPopconfirmTitle="{{'staffManager.table.action.confirmDelete' | translate}}"
               nzCancelText="{{'staffManager.table.action.cancel' | translate}}"
               nzOkType='primary'
               nzOkText="{{'staffManager.table.action.yes' | translate}}"
               (nzOnConfirm)='deleteItem(familyRelationshipId)'
               nzPopconfirmPlacement='top' mbPrefixIcon='fal fa-trash-alt'
    ></mb-button>
  </ng-template>
  <!--End: Hành động-->

  <ng-template #footerTmpl>
    <mb-button mbButtonType='NO_BORDER' mbButtonSize='LARGE' (click)='modal.destroy()' mbButtonBgColor='transparent'
               mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
    <mb-button mbButtonType='NO_BORDER' mbButtonSize='LARGE' (click)='modal.getContentComponent().save()'
               mbButtonAvailableStyle='PRIMARY' mbButtonText="{{'common.button.save' | translate}}"></mb-button>
  </ng-template>

</div>
